JUCE: Slider::LookAndFeelMethods Struct Reference

JUCE

Public Member Functions | List of all members
Slider::LookAndFeelMethods Struct Referenceabstract

This abstract base class is implemented by LookAndFeel classes to provide slider drawing functionality. More...

Inheritance diagram for Slider::LookAndFeelMethods:

## Public Member Functions
virtual | ~LookAndFeelMethods ()=default
virtual void | drawLinearSlider (Graphics &, int x, int y, int width, int height, float sliderPos, float minSliderPos, float maxSliderPos, const Slider::SliderStyle, Slider &)=0
virtual void | drawLinearSliderBackground (Graphics &, int x, int y, int width, int height, float sliderPos, float minSliderPos, float maxSliderPos, const Slider::SliderStyle style, Slider &)=0
virtual void | drawLinearSliderThumb (Graphics &, int x, int y, int width, int height, float sliderPos, float minSliderPos, float maxSliderPos, const Slider::SliderStyle, Slider &)=0
virtual int | getSliderThumbRadius (Slider &)=0
virtual void | drawRotarySlider (Graphics &, int x, int y, int width, int height, float sliderPosProportional, float rotaryStartAngle, float rotaryEndAngle, Slider &)=0
virtual Button * | createSliderButton (Slider &, bool isIncrement)=0
virtual Label * | createSliderTextBox (Slider &)=0
virtual ImageEffectFilter * | getSliderEffect (Slider &)=0
virtual Font | getSliderPopupFont (Slider &)=0
virtual int | getSliderPopupPlacement (Slider &)=0
virtual SliderLayout | getSliderLayout (Slider &)=0

## Detailed Description

This abstract base class is implemented by LookAndFeel classes to provide slider drawing functionality.

## Constructor & Destructor Documentation

## ◆ ~LookAndFeelMethods()

virtual Slider::LookAndFeelMethods::~LookAndFeelMethods | ( |  | ) |
| virtualdefault

## Member Function Documentation

## ◆ drawLinearSlider()

virtual void Slider::LookAndFeelMethods::drawLinearSlider | ( | Graphics & | ,
|  | int | x,
|  | int | y,
|  | int | width,
|  | int | height,
|  | float | sliderPos,
|  | float | minSliderPos,
|  | float | maxSliderPos,
|  | const Slider::SliderStyle | ,
|  | Slider & |
| ) |  |
| pure virtual

Implemented in LookAndFeel_V2, LookAndFeel_V4, LookAndFeel_V1, and LookAndFeel_V3.

## ◆ drawLinearSliderBackground()

virtual void Slider::LookAndFeelMethods::drawLinearSliderBackground | ( | Graphics & | ,
|  | int | x,
|  | int | y,
|  | int | width,
|  | int | height,
|  | float | sliderPos,
|  | float | minSliderPos,
|  | float | maxSliderPos,
|  | const Slider::SliderStyle | style,
|  | Slider & |
| ) |  |
| pure virtual

Implemented in LookAndFeel_V2, and LookAndFeel_V3.

## ◆ drawLinearSliderThumb()

virtual void Slider::LookAndFeelMethods::drawLinearSliderThumb | ( | Graphics & | ,
|  | int | x,
|  | int | y,
|  | int | width,
|  | int | height,
|  | float | sliderPos,
|  | float | minSliderPos,
|  | float | maxSliderPos,
|  | const Slider::SliderStyle | ,
|  | Slider & |
| ) |  |
| pure virtual

Implemented in LookAndFeel_V2.

## ◆ getSliderThumbRadius()

virtual int Slider::LookAndFeelMethods::getSliderThumbRadius | ( | Slider & |  | ) |
| pure virtual

Implemented in LookAndFeel_V2, LookAndFeel_V4, and LookAndFeel_V1.

## ◆ drawRotarySlider()

virtual void Slider::LookAndFeelMethods::drawRotarySlider | ( | Graphics & | ,
|  | int | x,
|  | int | y,
|  | int | width,
|  | int | height,
|  | float | sliderPosProportional,
|  | float | rotaryStartAngle,
|  | float | rotaryEndAngle,
|  | Slider & |
| ) |  |
| pure virtual

Implemented in LookAndFeel_V2, and LookAndFeel_V4.

## ◆ createSliderButton()

virtual Button* Slider::LookAndFeelMethods::createSliderButton | ( | Slider & | ,
|  | bool | isIncrement
| ) |  |
| pure virtual

Implemented in LookAndFeel_V2, and LookAndFeel_V1.

## ◆ createSliderTextBox()

virtual Label* Slider::LookAndFeelMethods::createSliderTextBox | ( | Slider & |  | ) |
| pure virtual

Implemented in LookAndFeel_V2, and LookAndFeel_V4.

## ◆ getSliderEffect()

virtual ImageEffectFilter* Slider::LookAndFeelMethods::getSliderEffect | ( | Slider & |  | ) |
| pure virtual

Implemented in LookAndFeel_V2, and LookAndFeel_V1.

## ◆ getSliderPopupFont()

virtual Font Slider::LookAndFeelMethods::getSliderPopupFont | ( | Slider & |  | ) |
| pure virtual

Implemented in LookAndFeel_V2.

## ◆ getSliderPopupPlacement()

virtual int Slider::LookAndFeelMethods::getSliderPopupPlacement | ( | Slider & |  | ) |
| pure virtual

Implemented in LookAndFeel_V2.

## ◆ getSliderLayout()

virtual SliderLayout Slider::LookAndFeelMethods::getSliderLayout | ( | Slider & |  | ) |
| pure virtual

Implemented in LookAndFeel_V2.

The documentation for this struct was generated from the following file:

- juce_Slider.h